# Absolut Engine by Daniel Duris (c) 2001-2005
# DB upgrade from version 1.70 to 1.71/1.72
# For lower version upgrades, you'll have to use lower version upgrades consecutively
# DO NOT use this file for new install, use admin/system.sql instead

# modules
ALTER TABLE ae_modules ADD menu4 tinyint AFTER menu3;
ALTER TABLE ae_modules ADD menu5 tinyint AFTER menu4;
ALTER TABLE ae_modules ADD KEY `directory` (`directory`);

CREATE TABLE ae_temporary (
`ID` INT(10) UNSIGNED AUTO_INCREMENT,
`tempstring` text,
PRIMARY KEY (ID)
);

CREATE TABLE ae_cleanurlspool (
`cleanurl` varchar(255),
PRIMARY KEY (`cleanurl`)
);

# sections
ALTER TABLE ae_sections ADD `parentsectionID` int AFTER `section`;
ALTER TABLE ae_sections ADD `priority` decimal(10,2) AFTER `parentsectionID`;
ALTER TABLE ae_sections ADD `filename` varchar(255) AFTER `priority`;
ALTER TABLE ae_sections ADD KEY `parentsectionID` (`parentsectionID`);

CREATE TABLE ae_articlesections (
`articleID` INT,
`sectionID` INT,
KEY `articleID` (`articleID`),
KEY `sectionID` (`sectionID`)
);

ALTER TABLE ae_articles ADD FULLTEXT (`title`);
ALTER TABLE ae_articles ADD FULLTEXT (`beginning`);
ALTER TABLE ae_articles ADD FULLTEXT (`text`);
ALTER TABLE ae_articles ADD KEY `imagesetID` (`imagesetID`);
ALTER TABLE ae_articles ADD KEY `filesetID` (`filesetID`);

ALTER TABLE ae_stats DROP `ID`;
ALTER TABLE ae_stats ADD KEY `articleID` (`articleID`);

ALTER TABLE ae_relatedarticles DROP `ID`;
ALTER TABLE ae_relatedarticles ADD KEY `articleID` (`articleID`);
ALTER TABLE ae_relatedarticles ADD KEY `relatedID` (`relatedID`);

CREATE TABLE ae_activehooks (
`moduledir` varchar(255),
`hook` varchar(255),
`action` varchar(255),
KEY `moduledir` (`moduledir`)
);

CREATE TABLE ae_availablehooks (
`moduledir` varchar(255),
`hook` varchar(255),
`variables` varchar(255),
KEY `moduledir` (`moduledir`)
);

ALTER TABLE ae_login DROP `ID`;

#*# 50%
CREATE TABLE ae_imagesets (
`ID` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
`description` varchar(255),
`authorID` INT(10) UNSIGNED,
PRIMARY KEY (ID)
);

CREATE TABLE ae_filesets (
`ID` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
`description` varchar(255),
`authorID` INT(10) UNSIGNED,
PRIMARY KEY (ID)
);

CREATE TABLE ae_imagesNEW (
`ID` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
`imagesetID` INT,
`filename` varchar(255),
`description` varchar(255),
PRIMARY KEY (ID),
KEY `imagesetID` (`imagesetID`)
);

CREATE TABLE ae_filesNEW (
`ID` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
`filesetID` INT,
`filename` varchar(255),
PRIMARY KEY (ID),
KEY `filesetID` (`filesetID`)
);

#*# 75%
DROP TABLE `ae_images`;
DROP TABLE `ae_files`;
ALTER TABLE `ae_imagesNEW` RENAME `ae_images`;
ALTER TABLE `ae_filesNEW` RENAME `ae_files`;
ALTER TABLE `ae_articles` DROP `ae_sectionID`;